Skip to main content
POST
Clone a voice from audio

Headers

x-user-id
string
required

Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.

Body

application/json

Request body for voice cloning.

engine
string
required
credential_id
string
required
model
string | null
audio_base64
string | null
Maximum string length: 13981016
audio_filename
string
default:voice.wav
audio_url
string | null
text
string | null
prefix
string
default:agentscope

Response

Successful Response

Response body for voice cloning.

voice_id
string
required
credential_id
string
required